# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

inherit git-2

DESCRIPTION="A collection of zsh settings and scripts, including a nonintrusive and informative zsh prompt."

HOMEPAGE="https://git.covalent.cz/overwatch/over-env"
SRC_URI=""
EGIT_REPO_URI="https://git.covalent.cz/overwatch/over-env.git"

LICENSE="AO-JSL"
SLOT="0"
KEYWORDS="x86 amd64"
IUSE="+tools +prompt +locale +screen"

RDEPEND="
	tools? ( dev-python/psutil dev-python/over )"

src_compile() {
	if use prompt; then
		ewarn "This is a prototype written in Python. Expect lower performance."
	fi
}

src_install() {
	if use tools; then
		for b in bin/*
		do
			dobin "${b}"
		done
		
		for sb in sbin/*
		do
			dosbin "${sb}"
		done
	fi
	
	if use prompt; then
		/bin/bash install.sh ${D}
	fi
	
	insopts -m644
	insinto /etc/
	doins etc/over-env
	doins etc/zsh
	
	if use screen; then
		doins etc/screenrc
		doins etc/screenrc.over
	fi
	
	if use locale; then
		insinto /usr/share/i18n/locales/
		doins locale/en_OV
	fi
}

pkg_postinst() {
	if use prompt; then
		einfo "Source /usr/lib/over/env/prompt-init to enable the prompt."
		einfo "The config file is in /etc/over-env/."
	fi
}
